# Type alias Batch<C>

Batch<C>: {
breadcrumb: Project.LoadCompile.Batch.Contracts.Breadcrumb<C>;
entry: Project.LoadCompile.Batch.Entry<C>;
input: Project.LoadCompile.Batch.Contract<C>;
output: Project.LoadCompile.Batch.Contract<C> & {
db: Resources<C>;
};
result: Project.LoadCompile.Batch.Result<C>;
structure: Project.LoadCompile.Batch.Contracts.Structure<C>;
}

#### Type Parameters

- #### C extends Project.LoadCompile.Batch.Config

#### Type declaration

- ##### breadcrumb: Project.LoadCompile.Batch.Contracts.Breadcrumb<C>

- ##### entry: Project.LoadCompile.Batch.Entry<C>

- ##### input: Project.LoadCompile.Batch.Contract<C>

- ##### output: Project.LoadCompile.Batch.Contract<C> & {
  db: Resources<C>;
  }

- ##### result: Project.LoadCompile.Batch.Result<C>

- ##### structure: Project.LoadCompile.Batch.Contracts.Structure<C>

- Defined in packages/db/src/project/loadCompile/batch.ts:117

Generated using TypeDoc